# BEGIN SourceDeps(oneline):
BuildRequires: CUnit-devel
# END SourceDeps(oneline)
Name:           libguac
Version:        0.7.0
Release:        alt1_3
Summary:        The common library used by all C components of Guacamole
Group:          System/Libraries
License:        MPLv1.1 or GPLv2+ or LGPLv2+
URL:            http://guac-dev.org/
Source0:        http://guac-dev.org/pub/dist/source/%{name}-%{version}.tar.gz

BuildRequires:  libcairo-devel
BuildRequires:  doxygen
BuildRequires:  libpng-devel
Source44: import.info

%description
Guacamole is an HTML5 web application that provides access to desktop
environments using remote desktop protocols such as VNC or RDP. A centralized
server acts as a tunnel and proxy, allowing access to multiple desktops through
a web browser. No plugins are needed: the client requires nothing more than a
web browser supporting HTML5 and AJAX.

%{name} is the core library for guacd (the Guacamole proxy) and any protocol
support plugins for guacd. %{name} provides efficient buffered I/O of text and
base64 data, as well as somewhat abstracted functions for sending Guacamole
instructions.

%package        devel
Group: System/Libraries
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure --disable-static LIBS="-lrt"
make %{?_smp_mflags} CFLAGS="%{optflags}"
cd doc/
doxygen Doxyfile


%install
make install DESTDIR=%{buildroot} INSTALL="install -p"
find %{buildroot} -name '*.la' -delete
cp -fr doc/doxygen-output/html .


%files
%doc AUTHORS LICENSE README
%{_libdir}/*.so.*

%files devel
%doc html
%{_includedir}/*
%{_libdir}/*.so


%changelog
* Tue Apr 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.7.0-alt1_3
- update to new release by fcimport

* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 0.7.0-alt1_2
- update to new release by fcimport

* Tue Jan 15 2013 Igor Vlasenko <viy@altlinux.ru> 0.7.0-alt1_1
- initial fc import

